Public Attributes | List of all members
_hmac_handle Struct Reference
Peripheral Driver » HAL Driver » HMAC » Structures » HMAC handle

HMAC handle Structure definition. More...

`#include <gr55xx_hal_hmac.h>`

Collaboration diagram for _hmac_handle:
[legend]

## Public Attributes
hmac_regs_t * | p_instance
| HMAC registers base address More...
hmac_init_t | init
| HMAC operation parameters More...
uint32_t * | p_message
| Pointer to message input buffer More...
uint32_t * | p_digest
| Pointer to digest output buffer More...
uint32_t | block_size
| Data size in blocks (64 bytes per block) More...
uint32_t | block_count
| Blocks count More...
uint32_t | is_last_trans
| Flag for last transfer More...
__IO hal_lock_t | lock
| Locking object More...
__IO hal_hmac_state_t | state
| HMAC operation state More...
__IO uint32_t | error_code
| HMAC Error code More...
uint32_t | timeout
| Timeout for the HMAC operation More...
uint32_t | retention [17]
| HMAC important register information. More...

## Detailed Description

HMAC handle Structure definition.

Definition at line 127 of file gr55xx_hal_hmac.h.

## Member Data Documentation

## ◆ block_count

uint32_t _hmac_handle::block_count

Blocks count

Definition at line 139 of file gr55xx_hal_hmac.h.

## ◆ block_size

uint32_t _hmac_handle::block_size

Data size in blocks (64 bytes per block)

Definition at line 137 of file gr55xx_hal_hmac.h.

## ◆ error_code

__IO uint32_t _hmac_handle::error_code

HMAC Error code

Definition at line 147 of file gr55xx_hal_hmac.h.

## ◆ init

hmac_init_t _hmac_handle::init

HMAC operation parameters

Definition at line 131 of file gr55xx_hal_hmac.h.

## ◆ is_last_trans

uint32_t _hmac_handle::is_last_trans

Flag for last transfer

Definition at line 141 of file gr55xx_hal_hmac.h.

## ◆ lock

__IO hal_lock_t _hmac_handle::lock

Locking object

Definition at line 143 of file gr55xx_hal_hmac.h.

## ◆ p_digest

uint32_t* _hmac_handle::p_digest

Pointer to digest output buffer

Definition at line 135 of file gr55xx_hal_hmac.h.

## ◆ p_instance

hmac_regs_t* _hmac_handle::p_instance

HMAC registers base address

Definition at line 129 of file gr55xx_hal_hmac.h.

## ◆ p_message

uint32_t* _hmac_handle::p_message

Pointer to message input buffer

Definition at line 133 of file gr55xx_hal_hmac.h.

## ◆ retention

uint32_t _hmac_handle::retention[17]

HMAC important register information.

Definition at line 151 of file gr55xx_hal_hmac.h.

## ◆ state

__IO hal_hmac_state_t _hmac_handle::state

HMAC operation state

Definition at line 145 of file gr55xx_hal_hmac.h.

## ◆ timeout

uint32_t _hmac_handle::timeout

Timeout for the HMAC operation

Definition at line 149 of file gr55xx_hal_hmac.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_hmac.h